<?php
namespace Config;
// Create a new instance of our RouteCollection class.
$routes = Services::routes();

$routes->get('/', 'Home::index');

$routes->get('/en/wrench/api/v1/test','Home::test');


$routes->post('/en/wrench/api/v1/promoverify',          'Promo::promoVerify');

$routes->post('/en/wrench/api/v1/playground',          'WrenchPlayGround::apigate');

$routes->post('/en/wrench/api/v1/authlogin',          'WrenchOauth::apigate');
$routes->post('/en/wrench/api/v1/authstart',          'WrenchOauth::apigate');


$routes->post('/en/wrench/api/v1/faq',                'WrenchFaq::apigate');
$routes->post('/en/wrench/api/v1/faqdata',            'WrenchFaq::apigate');
$routes->post('/en/wrench/api/v1/helpdata',           'WrenchFaq::helpgate');
$routes->post('/en/wrench/api/v1/learnmore',          'WrenchFaq::learnMoreUser');

$routes->post('/en/wrench/api/v1/loadrefer',          'WrenchAccount::loadRefer');


$routes->post('/en/wrench/api/v1/apigate',            'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/generics',           'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/createuser',         'WrenchAccount::CreateNewAccount'); // 'WrenchApi::apigate'

$routes->post('/en/wrench/api/v1/verifysignuplink',   'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/completesignuplink', 'WrenchApi::apigate');


$routes->post('/en/wrench/api/v1/profilepasschange',   'WrenchApi::apigate');  // user reset password

$routes->post('/en/wrench/api/v1/createmobileuser',   'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/completemobileuser', 'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/startresetpasword',  'WrenchAuth::passwordReset'); //'WrenchApi::apigate'

// $routes->post('/en/wrench/api/v1/userlogin',          'WrenchApi::apigate');
$routes->group('/en/wrench/api/v1/', static function ($routes) {
    $routes->post('authlogin',          'WrenchAuth::userLogin');  // New routes defined
    $routes->post('userlogin',          'WrenchAuth::userLogin');  // To be retired
    $routes->post('qrlogin',            'WrenchAuth::qrLogin'); //'WrenchApi::apigate'
    $routes->post('loginpromo',         'WrenchAuth::promoLogin'); //'WrenchApi::apigate'
});

$routes->post('/en/wrench/api/v1/homebanners',        'WrenchBanners::usersBanners');  // 'WrenchApi::apigate'
$routes->post('/en/wrench/api/v1/startjoblist',       'WrenchApi::apigate');
$routes->get('/en/wrench/api/v1/startjoblist',       'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/dashdata',           'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/getjobsdata',        'WrenchJobs::getJobsData'); //WrenchJobs  WrenchApi  apigate
$routes->post('/en/wrench/api/v1/verifycompleted',    'WrenchJobs::verifyCompletedHx');
$routes->post('/en/wrench/api/v1/recentpastdue',    'WrenchJobs::recentPastDueJobs');



$routes->post('/en/wrench/api/v1/offerslist',         'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/offersresponse',         'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/activejoblist',      'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/loadprofile',        'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/updateprofile',        'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/account',            'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/message',            'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/jobmessage',            'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/pendingjob',         'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/paymenthx',          'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/purchasehx',          'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/contracthx',          'WrenchJobs::contractHx');

$routes->post('/en/wrench/api/v1/cachecontacts',   'WrenchUserContacts::usersContacts');


$routes->post('/en/wrench/api/v1/stepresetpass',       'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/starttopup',          'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/topupresult',         'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/preferences',          'WrenchGeneralData::usersPreferences');   // 'WrenchApi::apigate'
$routes->post('/en/wrench/api/v1/setpreferences',       'WrenchApi::apigate');

$routes->group('/en/wrench/api/v1/', static function ($routes) {
    $routes->post('jobmanageragree',         'WrenchApi::apigate');
    $routes->post('jobmanagerlist',          'WrenchApi::apigate');
    $routes->post('jobmanagerfiles',         'WrenchApi::apigate');
    $routes->post('jobmanageroffers',        'WrenchApi::apigate');
    $routes->post('jobmanageractive',        'WrenchApi::apigate');
    $routes->post('jobmanagercreatejob',     'WrenchApi::apigate');
    $routes->post('jobmanagerupdatejob',     'WrenchApi::apigate');
    $routes->post('jobmanagerdeletejob',     'WrenchApi::apigate');
    $routes->post('jobgrouplist',            'WrenchApi::apigate');
    $routes->post('jobgroupadd',             'WrenchApi::apigate');
    $routes->post('groupmemberadd',          'WrenchApi::apigate');
    $routes->post('groupmemberdel',          'WrenchApi::apigate');
});

$routes->post('/en/wrench/api/v1/activetaskslist',      'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/tasksreport',      'WrenchApi::apigate');


$routes->post('/en/wrench/api/v1/mypageload',           'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/mypageintro',          'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/familylist',          'WrenchApi::apigate');
//$routes->post('/en/wrench/api/v1/familywallet',        'WrenchApi::apigate');


$routes->post('/en/wrench/api/v1/getwallets',                         'WrenchApi::apigate'); // to be retired
// WALLET FUNCTIONS
$routes->group('/en/wrench/api/v1/', static function ($routes) {
    $routes->post('wallets',                            'WrenchWallet::getWallet');
    $routes->post('kidwallets',                         'WrenchWallet::getKidWallet');
    $routes->post('wallets/escrols',                    'WrenchWallet::getEscrols');
    $routes->post('wallets/card/request',               'WrenchWallet::requestVirtualCard');
    $routes->post('wallets/card/familyrequest',         'WrenchWallet::requestFamilyVirtualCard');
});

$routes->post('/en/wrench/api/v1/familywallet/redeem',                'WrenchWallet::redeemOptions');
$routes->post('/en/wrench/api/v1/familywallet/redeem/options',        'WrenchWallet::redeemOptions');
$routes->post('/en/wrench/api/v1/familywallet',                       'WrenchWallet::getWallet');
//$routes->get('/en/wrench/api/v1/familywallet/redeem/options',         'WrenchWallet::apigate');


$routes->post('/en/wrench/api/v1/generatives',    'WrenchResources::generatives');

$routes->post('/en/wrench/api/v1/familyresources',    'WrenchResources::familyresources');
$routes->post('/en/wrench/api/v1/commonmedia',        'WrenchResources::commonmedia');

$routes->post('/en/wrench/api/v1/familybanners',       'WrenchFamily::familyBanners');
$routes->post('/en/wrench/api/v1/familysampletasks',   'WrenchFamily::familySampleTasks');

$routes->post('/en/wrench/api/v1/relativeeditkids',       'WrenchFamily::relativeEditKids');
$routes->post('/en/wrench/api/v1/relativesettings',       'WrenchFamily::relativeSettings');
$routes->post('/en/wrench/api/v1/relativereminder',       'WrenchFamily::relativeReminder');

$routes->post('/en/wrench/api/v1/connect',              'WrenchFamily::familyConnect');
$routes->post('/en/wrench/api/v1/connectmembers',       'WrenchFamily::familyConnectMembers');
$routes->post('/en/wrench/api/v1/connectinvite',        'WrenchFamily::familyConnectInvite');


$routes->post('/en/wrench/api/v1/familyrewardhx',      'WrenchFamily::familyRewardHx'); // WrenchApi::apigate
$routes->post('/en/wrench/api/v1/familytransferstart', 'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/familytransfer',      'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/familyadd',           'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/familyupdate',        'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/familymanage',        'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/familysuggesttasks',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/familysuggestlist',   'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/suggeststatus',       'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/familywaitingtasks',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/familyrelinvite',     'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/familyrellist',       'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/recipients',          'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/addrecipient',          'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/sendreferral',        'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/refferhx',          'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/countrybanks',        'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/accounttypes',        'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/getjob',             'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/mybanklist',         'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/sendmoney',          'WrenchWallet::sendMoney');//'WrenchApi::apigate'

$routes->post('/en/wrench/api/v1/sendinterest',       'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/waitinginterest',    'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/intereststats',      'WrenchJobs::interestStats');

$routes->post('/en/wrench/api/v1/sendmoneyfee',       'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/getpendingjobs',     'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/taskmessage',        'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/sendtaskmessage',    'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/activejobmsglist',    'WrenchApi::apigate');


$routes->post('/en/wrench/api/v1/sitecontact',        'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/signupcountry',      'WrenchGeneralData::signUpCountry');
$routes->post('/en/wrench/api/v1/userscards',         'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/countrystate',      'WrenchResources::getCountryStates');
$routes->post('/en/wrench/api/v1/resources',         'WrenchResources::website');
$routes->post('/en/wrench/api/v1/askresources',      'WrenchResources::aigate');


$routes->post('/en/wrench/api/v1/couponhx',       'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/couponpending',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/couponredeem',   'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/sendinterestmessage',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/replyinterestmessage', 'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/disableaccount', 'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/myjobs',         'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/pendingjobextend',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/pendingjobsendtome','WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/pendingjobcancel',  'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/assigntask',     'WrenchJobs::assignTask' ); //'WrenchApi::apigate'
$routes->post('/en/wrench/api/v1/assignmediatask','WrenchJobs::assignTask' ); //'WrenchApi::apigate'

$routes->post('/en/wrench/api/v1/uploads',      'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/myfiles',      'WrenchUser::UsersFiles'); //'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/marketmessage',      'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/marketinterest',     'WrenchJobs::sendJobInterest'); //'WrenchApi::apigate'

$routes->post('/en/wrench/api/v1/activejobstatus',      'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/activetaskstatus',     'WrenchApi::apigate');

$routes->post('/en/wrench/api/v1/payprevcard',     'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/paynewcard',     'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/paylistcard',     'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/payremcard',     'WrenchApi::apigate');

//$routes->post('/en/wrench/api/v1/blogdata',       'WrenchBlog::apigate');
//$routes->post('/en/wrench/api/v1/blogitem',       'WrenchBlog::apigate');

$routes->post('/en/wrench/api/v1/offersinterestlist',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/offersinterestproc',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/offerinterestmsg',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/offerinterestlistmsg',  'WrenchApi::apigate');



$routes->post('/en/wrench/api/v1/setaccsettings',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/getaccsettings',  'WrenchApi::apigate');
$routes->post('/en/wrench/api/v1/recentactivities',  'WrenchApi::apigate');


$routes->post('/en/wrench/api/v1/reqdel',     'WrenchApi::apigate');  // request delete account

$routes->get('/en/wrench/api/v1/blogdata/(:any)', 'WrenchBlog::blogLimitedData/$1');

$routes->post('/en/wrench/api/v1/blogdata', 'WrenchBlog::website');
$routes->get('/en/wrench/api/v1/blogdata',  'WrenchBlog::website');

$routes->post('/en/wrench/api/v1/mobileblogdata', 'WrenchBlog::mobileBlogData');

//$routes->post('/en/wrench/api/v1/blogdata/(:any)', 'WrenchBlog::blogLimitedData/$1');


$routes->post('/en/wrench/api/v1/startcredit',            'WrenchTransactions::apigate');
$routes->post('/en/wrench/api/v1/confirmcredit',          'WrenchTransactions::apigate');


$routes->post('/en/wrench/api/v1/mynotifications',        'WrenchNotifications::apigate');

$routes->post('/en/wrench/api/v1/dashrecent',        'WrenchDashRecent::apigate');

$routes->post('/en/wrench/api/v1/getmedia',        'WrenchMedia::apigate');
$routes->get('/en/wrench/api/v1/getmedia/(:any)',        'WrenchMedia::apigate/$1');


//https://apigate.lotus.g1.wrenchboard.com/en/wrench/hooks/v1/flutter
$routes->get('/en/wrench/hooks/v1/flutter',        'WrenchHooks::flutter');
$routes->get('/en/wrench/hooks/v1/stripes',        'WrenchHooks::stripes');
$routes->post('/en/wrench/hooks/v1/flutter',        'WrenchHooks::flutter');
$routes->post('/en/wrench/hooks/v1/stripes',        'WrenchHooks::stripes');



// cron jobs ------------ ===== ------------
$routes->post('/en/wrench/api/v1/cron',        'WrenchCrons::apigate');

$routes->get('/en/wrench/api/v1/cron',                   'WrenchCrons::apigate');
$routes->get('/en/wrench/api/v1/cron_jobalerts',         'WrenchCrons::jobalerts');
$routes->get('/en/wrench/api/v1/notifications',          'WrenchCrons::cron_notifications');
$routes->get('/en/wrench/api/v1/offersreminders',        'WrenchCrons::offersreminders');
$routes->get('/en/wrench/api/v1/groupoffer',             'WrenchCrons::groupoffer');
$routes->get('/en/wrench/api/v1/tranfercrons',           'WrenchCrons::tranfercrons');



$routes->get('/en/wrench/api/v1/bko',        'Bko::apigate');
$routes->post('/en/wrench/api/v1/bko',        'Bko::apigate');

$routes->get('/en/wrench/api/v1/bko/generics',        'Bko::apigate');
$routes->post('/en/wrench/api/v1/bko/generics',        'Bko::apigate');


$routes->post('/emrapi/v1/identity/login',        'Agents::apigate');


